Jump to content
thebrasseffect

Fatal error after updating plugin

Recommended Posts

thebrasseffect+    3
thebrasseffect

I just tried to update a pluging on site http://1stcmec.org and I received this error Fatal error: Cannot redeclare class lessc_formatter_compressed in /home/content/54/7527054/html/firstcme/wp-content/themes/pagelines/includes/less.plugin.php on line 3326

 

How do I get this corrected?

Share this post


Link to post
Share on other sites
Jenny    33
Jenny

What plugin were you updating?

 

I haven't seen that issue before but have you tried renaming the plugin folder (the one you were updating) via FTP or your host's file manager?


Jenny :: Web designer at Simple Mama (follow me at @simplemamacom)

Check out Share Me, a social sharing add-on for DMS that is super simple to set up.

Share this post


Link to post
Share on other sites
thebrasseffect+    3
thebrasseffect

I believe it was an "All in one calendar" plugin but I"m not 100% sure. I haven't tried to rename any folder because I wasn't sure what to do. If I try to rename the folder will it get re-created or do I have to try and overwright it someway?

Share this post


Link to post
Share on other sites
thebrasseffect+    3
thebrasseffect

I found the "All in one event calendar" folder and deleted the folder and now the website is back active. Thanks for all the help.

Share this post


Link to post
Share on other sites
Jenny    33
Jenny

Then there you go :)  The plugin had bad code in it somewhere. Definitely don't install it again, and always make sure you're using up to date and high-rated plugins on your site.


Jenny :: Web designer at Simple Mama (follow me at @simplemamacom)

Check out Share Me, a social sharing add-on for DMS that is super simple to set up.

Share this post


Link to post
Share on other sites
riverregionarts    0
riverregionarts

I deleted the All-in-one folder as well, and the Pagelines theme will still not activate: Parse error: syntax error, unexpected T_CLASS, expecting T_FUNCTION in /home2/rcrimcom/public_html/wp-content/themes/pagelines2/includes/less.plugin.php on line 3328

Share this post


Link to post
Share on other sites
Simon    247
Simon

You have edited less.plugin.php

 

Download a fresh copy of the framework.

Share this post


Link to post
Share on other sites
jeb    0
jeb

Hi there,

 

I had the same issue when updating the premium version of the Timely "All in One Calender" from version 1.8.4 to 1.9.  This is a very well documented and maintained plugin.

 

It seems that both the Pagelines Framework and the new calendar version are using the LESS thingy. There is a conflict between both uses of it.

Given the error message above, when Pagelines tries to use some of the classes of LESS, they have already been instantiated by the calendar. or vice versa. At least one plugin need to check whether the LESS thingy has already been loaded.

 

Some people suggest to use autoload (whatever that is; you will probably know):

See: http://stackoverflow.com/questions/708140/php-fatal-error-cannot-redeclare-class

 

See also the Timely calendar forum for a similar error description there: http://help.time.ly/customer/portal/questions/746793-update-to-1-9-fails

 

Please help with that issue as the calendar is widely used. Deinstalling or not updating that plugin is definitely NOT an option.

 

 

 

Share this post


Link to post
Share on other sites
Simon    247
Simon

Yes the next version addresses this.

Share this post


Link to post
Share on other sites
awarne    0
awarne

Hello.

Do you know when the next version of Pagelines will be released?

Thanks

Share this post


Link to post
Share on other sites
James B    436
James B

Edit - checked with core team, next version out soon.


Kindly search the forum and read the documentation before posting. It will help you resolve many issues.

For CSS help be sure to check out W3Schools first and be sure to download FireBug for FireFox for troubleshooting.

James B

Share this post


Link to post
Share on other sites
James B    436
James B

2.4 has now been released, if you're having problems with this plugin please update :-)


Kindly search the forum and read the documentation before posting. It will help you resolve many issues.

For CSS help be sure to check out W3Schools first and be sure to download FireBug for FireFox for troubleshooting.

James B

Share this post


Link to post
Share on other sites
chules+    4
chules

James,

 

The update to 2.4 does not fix the problem.  With this update the installation works well but the minute you add an event to Timely the site crashes.  I am going to rename the Timely plugin to bring my site online.  Pagelines, thank you for helping with this issue.  Just wanted to update anyone who is experiencing this problem.  Chules

Share this post


Link to post
Share on other sites
Simon    247
Simon

Crashes how? Locks up your server? produces an error? if so whats the error? 

 

i was able to create events, admittedly i had to turn off debugging as the plugin produces a fair few php warnings, but apart from that it works.

Share this post


Link to post
Share on other sites
chules+    4
chules

When you create an event and save it you get a white screen and can no longer access your website.  It is the same situation as before the new release where you "white screened" your computer when trying to install the plugin.  To get the site back you need to remove the plugin.  I have now reinstalled the plugin so installation is working but if I create a new event the site will "white screen" once again.

 

Thank you - chules

Share this post


Link to post
Share on other sites
Simon    247
Simon

Enable wp_debug in wp-config.php then paste the errors

Share this post


Link to post
Share on other sites
jeb    0
jeb

Thanks for the quick help. Update to 2.4 works fine for me.

Share this post


Link to post
Share on other sites
Rob    547
Rob

Chules,

 

I'm not sure if you have a cache plugin, but if so, please clear the cache within the plugin, then clear your browser's cache. Often the updates or changes are not seen because they get caught up in the cache.


Former PageLines Moderator, Food Expert and Raconteur

Share this post


Link to post
Share on other sites
page2012    0
page2012

Hi,

I just updated the Timely plugin to 1.9 and then the site crashed. It worked very well with the 1.8 version...

For information, I use the last version of Framework, I cleared the cache and the site is ok when I de-activate the plugin… So, is there a solution to keep Timely working on Pagelines ?

Thanks !

Olivier

Share this post


Link to post
Share on other sites
Danny    1,327
Danny

Hi,

 

I just installed the free version of Timely and have no issue, the plugin as far as I can tell is working as intended. I was using the latest version of the Wordpress, PageLines and Timely.

 

http://d.pr/i/vtAe


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
page2012    0
page2012

Hi Danny,

 

I also have the latest version of Wordpress, PageLines and Timely... but it doesn't work... => "Fatal error: Exception thrown without a stack frame in Unknown on line 0"

 

Olivier

Share this post


Link to post
Share on other sites
Danny    1,327
Danny

Try disabling all non-PageLines plugins and attempt to upgrade Timely again, see if this resolves your issue.


Please search our forums, before posting!

Share this post


Link to post
Share on other sites
page2012    0
page2012

I tried and there is no more "fatal error" (for the moment). At the first glance, the plugin seems to work but in fact there are several issues (the calendar can't change the month and stays on january ; events don't appear on the calendar , some pics are shown where they shouldn't... ). Where is the problem? TIMELY or the compatibility with PAGELINES?

Thanks Danny!

 

Olivier

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×